ant 1.6.2 and maven 1.0.1 (ant-target)

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

ant 1.6.2 and maven 1.0.1 (ant-target)

Franz-Josef Herpers
Hi,

I'm successfully using Maven 1.0.1 with Ant 1.6.2, but today I
encountered a problem when using the ant-target in maven.xml:

<ant dir="${basedir}" antfile="javadoc.xml" />

I get the following error message:

BUILD FAILED
  File...... E:\SVN_PROJEKTE\uba-iuclid-x\maven.xml
  Element... ant
  Line...... 272
  Column.... 51
  org/apache/tools/ant/launch/Locator

I guess the Locator class can not be found, and I can't find it in the
neither in the 1.6 ant.jar nor in the 1.5 jar, which originally ships
with maven 1.0.1. Is this a known problem or does someone have a
workaround for this.

Regards
Franz


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: ant 1.6.2 and maven 1.0.1 (ant-target)

Brett Porter
It's in ant-launcher, only available from Ant 1.6, included with Maven
1.1. Beta is expected in the next week, pending a vote.

- Brett

On 5/30/05, Franz-Josef Herpers <[hidden email]> wrote:

> Hi,
>
> I'm successfully using Maven 1.0.1 with Ant 1.6.2, but today I
> encountered a problem when using the ant-target in maven.xml:
>
> <ant dir="${basedir}" antfile="javadoc.xml" />
>
> I get the following error message:
>
> BUILD FAILED
>   File...... E:\SVN_PROJEKTE\uba-iuclid-x\maven.xml
>   Element... ant
>   Line...... 272
>   Column.... 51
>   org/apache/tools/ant/launch/Locator
>
> I guess the Locator class can not be found, and I can't find it in the
> neither in the 1.6 ant.jar nor in the 1.5 jar, which originally ships
> with maven 1.0.1. Is this a known problem or does someone have a
> workaround for this.
>
> Regards
> Franz
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: ant 1.6.2 and maven 1.0.1 (ant-target)

Franz-Josef Herpers
Brett Porter wrote:
> It's in ant-launcher, only available from Ant 1.6, included with Maven
> 1.1. Beta is expected in the next week, pending a vote.
>

Thank you very much.

If I take ant-launcher.jar, put in in the lib directory of maven and add
the line

    ${maven.home}/lib/ant-launcher.jar

to the [root] section of the file
$MAVEN-HOME/maven-home/bin/forehead.conf it works fine with maven 1.0.1.

Regards
Franz


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]